magnifying-glassLookup

Find any account or person by the identifier you have (email, domain Linkedin handle, Twitter, salesforce ID, hubspot ID ...) and get their MadKudu ID.

Each endpoint accepts multiple types of identifiers as input, and returns MadKudu ID, social IDs, system IDs and enriched attributes, making it easy to build a robust identity graph across your systems.

These endpoints are ideal for:

  • Resolving identities across tools and platforms

  • Getting the person/account ID for the Detailed Information endpoints

  • Enriching your CRM or CDP with consistent person/account data

Lookup account by identifiers

get
/lookup/accounts

Lookup accounts in your database using domain names, social media handles, or CRM IDs. Returns company profile with contact details, firmographics, and customer fit scoring. Use it to get the MadKudu ID to fetch more information in the Detailed Information endpoints.

Authorizations
x-api-keystringRequired
Query parameters
domainstringOptional

Company website domain (e.g., 'madkudu.com')

linkedinstringOptional

LinkedIn company page handle (e.g., 'company/madkudu')

twitterstringOptional

Twitter company handle

crunchbasestringOptional

Crunchbase company profile handle (e.g., 'organization/madkudu')

external_idstringOptional

Your CRM account ID (Salesforce, HubSpot, etc.)

Responses
chevron-right
200

The request has succeeded.

application/json
mk_idstringRequired

Unique identifier for the account in MadKudu

namestringRequired

Name of the account

domainstringRequired

Domain of the account

logostringOptional

URL of the account's logo

descriptionstringOptional

Description of the account

industrystringOptional

Industry the account operates in

founded_yearinteger · int32Optional

Year the account was founded

raised_amountnumber · doubleOptional

Total amount raised by the account

employees_countinteger · int32Optional

Number of employees in the account

active_usersinteger · int32Optional

Number of active users

activities_countinteger · int32Optional

Number of activities

get
/lookup/accounts

Lookup person by identifiers

get
/lookup/persons

Lookup people in your database using email addresses, social media profiles, or CRM IDs. Returns contact profile with job details, company information, and lead scoring. Use it to get the MadKudu ID to fetch more information in the Detailed Information endpoints.

Authorizations
x-api-keystringRequired
Query parameters
emailstringOptional

Person's email address

linkedinstringOptional

LinkedIn profile handle (e.g., 'in/francisbrero')

twitterstringOptional

Twitter profile handle

external_idstringOptional

Your CRM contact ID (Salesforce Lead/Contact, HubSpot Contact, etc.)

Responses
chevron-right
200

The request has succeeded.

application/json
mk_idstringRequired

Unique identifier for the person in MadKudu

emailstringRequired

Email of the person

namestringRequired

Full name of the person

first_namestringOptional

First name of the person

last_namestringOptional

Last name of the person

titlestringOptional

Title of the person

personastringOptional

Persona of the person

avatarstringOptional

Avatar URL of the person

has_left_companybooleanOptional

Whether the person has left the company

activitiesanyOptional

Activities information

get
/lookup/persons

Last updated

Was this helpful?